MT(3)

PACKAGE
mt - Routines to manage a thread pool (MultiThreading support)

PURPOSE
These routines are meant to provide management of a pool of threads which may execute concurrently.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

mt_create_pool
    Create a pool of threads which may have jobs launched onto it.

mt_get_shared_pool
    Create or get the shared thread pool.

mt_destroy_pool
    This routine will destroy a thread pool.

mt_destroy_all_pools
    This routine will destroy all thread pools.

mt_num_threads
    Get the number of threads in a thread pool.

mt_num_processors
    Get the number of processors available on the system.

mt_launch_job
    Launch a job onto a thread pool.

mt_setlock
    Set a lock on a thread pool.

mt_new_thread_info
    Register new thread information for the threads in a pool.

mt_get_thread_info
    Get the thread information pointer for a pool of threads.

mt_wait_for_all_jobs
    Wait for all previously launched jobs to complete.

mt_get_notify_pipe
    Create/get the notification pipe.

mt_disable_notify_pipe
    Disable the notification pipe.

mt_PROTO_func
    Perform a job.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/